Create response
curl --request POST \
--url https://api.helloannie.com/v1/conversations/{conversationId}/responses \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>"
}
'import requests
url = "https://api.helloannie.com/v1/conversations/{conversationId}/responses"
payload = { "message": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>'})
};
fetch('https://api.helloannie.com/v1/conversations/{conversationId}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"toolCalls": [
{
"toolName": "<string>",
"success": true
}
]
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Responses
Create response
Send a user message to an existing conversation and receive a response from the bot associated with the conversation. The conversation must be in the OPEN state. CLOSED conversations return 400 Bad Request. CLOSING conversations return 409 Conflict. If the conversation has exceeded its non-resettable open window, a 409 Conflict is returned and auto-close is triggered.
POST
/
conversations
/
{conversationId}
/
responses
Create response
Path Parameters
The ID of the conversation to create a response for
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body for creating a response on an OPEN conversation
The user message to send to the conversation
Minimum string length:
1⌘I